Skip to contentSkip to navigationSkip to topbar
Page toolsOn this page
Looking for more inspiration?Visit the

14211: Dial->Queue: Invalid whisper url


ERROR: 14211

error-14211 page anchor
ERROR

Twilio returns this error when the url attribute on <Dial><Queue> is not a valid relative or absolute URL for the TwiML document that runs on the queued caller's leg before the calls connect.

Possible causes

possible-causes page anchor
  • The <Queue> url value is malformed.
  • An absolute url is missing the protocol, hostname, file path, or properly URL-encoded query parameters.
  • Twilio cannot retrieve the document from the url because the endpoint is not reachable or not reliably available to Twilio.
  • Set the <Dial><Queue> url attribute to a valid relative or absolute URL.
  • If you use an absolute url, include http:// or https://, a hostname, a file path, and properly URL-encoded query parameters.
  • Make sure Twilio can reach the endpoint over the public Internet and retrieve it reliably before the queued call is bridged.
  • Return a valid TwiML document for the queued caller. Use only Play, Say, Pause, and Redirect in the document requested by the url.

Additional resources

additional-resources page anchor